## CORBA Interface IStoredProcessPipeServer

### Definition

CORBA Module SASStoredProcess

### IStoredProcessPipeServer Description

CORBA Definitions
attribute AvailableRequest |
const REQUEST_NOCONN |
const REQUEST_CLOSED |
method GetRequestHeaders |
method ReadRequest |
method SetResponseHeaders |
method WriteResponse |
method CloseResponse |
method WriteResponse2 |

Java Classes
IStoredProcessPipeServerHelper | Used to manipulate the IStoredProcessPipeServer type
IStoredProcessPipeServerHolder | Used to process the IStoredProcessPipeServer type as an out parameter

Java Interfaces
IStoredProcessPipeServer |
REQUEST_NOCONN |
REQUEST_CLOSED |

Java Interface IStoredProcessPipeServer

Package com.sas.iom.SASStoredProcess

IStoredProcessPipeServer Description

`public interface IStoredProcessPipeServer
extends org.omg.CORBA.Object`

Method Summary

void | GetRequestHeaders ( StringSeqHolder names , StringSeqHolder values ) throws ( GenericError );
int | ReadRequest ( OctetSeqHolder bytes , int count ) throws ( GenericError );
void | SetResponseHeaders ( java.lang.String[] names , java.lang.String[] values ) throws ( GenericError );
void | WriteResponse ( octet[] bytes ) throws ( GenericError );
void | CloseResponse ()
void | WriteResponse2 ( octet[] bytes , int offset , int length ) throws ( GenericError );

Java Class IStoredProcessPipeServerHelper

public class IStoredProcessPipeServerHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStoredProcessPipeServer type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessPipeServerHelper

Java Class IStoredProcessPipeServerHolder

public class IStoredProcessPipeServerHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IStoredProcessPipeServer type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessPipeServerHolder

CORBA Attribute AvailableRequest (readonly)

Description

Usage

Java Method AvailableRequest

    public int AvailableRequest ();

CORBA Const REQUEST_NOCONN

Description

Java Interface REQUEST_NOCONN

    package com.sas.iom.SASStoredProcess;

    public interface IStoredProcessPipeServer extends org.omg.CORBA.Object {
        public static final short interface REQUEST_NOCONN = (int) -2;
    }

CORBA Const REQUEST_CLOSED

Description

Java Interface REQUEST_CLOSED

    package com.sas.iom.SASStoredProcess;

    public interface IStoredProcessPipeServer extends org.omg.CORBA.Object {
        public static final int interface REQUEST_CLOSED = (int) -1;
    }

CORBA Method GetRequestHeaders

Description

Usage

Java Method GetRequestHeaders

`void` GetRequestHeaders (

        StringSeqHolder names ,
        StringSeqHolder values
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
names | out | StringSeqHolder |
values | out | StringSeqHolder |

Example

CORBA Method ReadRequest

Description

Usage

Java Method ReadRequest

`int` ReadRequest (

        OctetSeqHolder bytes ,
        int count
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
bytes | out | OctetSeqHolder |
count | in | int |

Example

CORBA Method SetResponseHeaders

Description

Usage

Java Method SetResponseHeaders

`void` SetResponseHeaders (

        java.lang.String[] names ,
        java.lang.String[] values
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
names | in | java.lang.String[] |
values | in | java.lang.String[] |

Example

CORBA Method WriteResponse

Description

Usage

Java Method WriteResponse

`void` WriteResponse (

        octet[] bytes
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
bytes | in | octet[] |

Example

CORBA Method CloseResponse

Description

Usage

Java Method CloseResponse

`void` CloseResponse ( )

Example

CORBA Method WriteResponse2

Description

Usage

Java Method WriteResponse2

`void` WriteResponse2 (

        octet[] bytes ,
        int offset ,
        int length
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
bytes | in | octet[] |
offset | in | int |
length | in | int |

Example